<?php

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\ImageType;
use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;

class BannerTwoColumnsType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('image1', ImageType::class, [
                'label' => 'dedi_cms.ui_element.banner.image',
                'required' => false,
            ])
            ->add('title1', SEOTitleType::class, [
                'label' => 'dedi_cms.ui_element.banner.title',
            ])
            ->add('style1', ChoiceType::class, [
                'label' => 'dedi_cms.ui_element.banner.style.label',
                'choices' => [
                    'dedi_cms.ui_element.banner.style.light' => 'light',
                    'dedi_cms.ui_element.banner.style.dark' => 'dark'
                ]
            ])
            ->add('text1', TextType::class, [
                'label' => 'dedi_cms.ui_element.banner.content',
            ])
            ->add('link1', SEOLinkType::class, [
                'label' => 'dedi_cms.ui_element.banner.link',
                'required' => false,
            ])

            ->add('image2', ImageType::class, [
                'label' => 'dedi_cms.ui_element.banner.image',
                'required' => false,
            ])
            ->add('title2', SEOTitleType::class, [
                'label' => 'dedi_cms.ui_element.banner.title',
            ])
            ->add('style2', ChoiceType::class, [
                'label' => 'dedi_cms.ui_element.banner.style.label',
                'choices' => [
                    'dedi_cms.ui_element.banner.style.light' => 'light',
                    'dedi_cms.ui_element.banner.style.dark' => 'dark'
                ]
            ])
            ->add('text2', TextType::class, [
                'label' => 'dedi_cms.ui_element.banner.content',
            ])
            ->add('link2', SEOLinkType::class, [
                'label' => 'dedi_cms.ui_element.banner.link',
                'required' => false,
            ])
        ;
    }
}
