<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextType as BaseTextType;
use Symfony\Component\Form\FormBuilderInterface;

class TextAndIconType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('icon', BaseTextType::class, [
                'label' => 'dedi_cms.ui_element.text_and_icon.icon',
            ])
            ->add('text', TextType::class, [
                'label' => 'dedi_cms.ui_element.text_and_icon.text',
            ])
            ->add('link', SEOLinkType::class, [
                'label' => 'dedi_cms.ui_element.text_and_icon.link',
                'required' => false,
            ])
        ;
    }
}
